<div class="container-fluid dash">
    <div class="dash__dow add-report-content">
        <div class="panel-heading">
        <div>
            <div class="dash__first">
                <div class="ah-body-topbar">
                    <div class="ah-page-title">
                        <h2> Write Report </h2>
                    </div>
                </div>
                <div class="stdy">
                    <p>Choose a template or write a custom report</p>
                    <select ng-model="reportId" class="form-control" ng-change="selectReport()" ng-options="report.id as report.template_name for report in reports"></select>
                </div>
            </div>
        </div>
        <div class="dash__edit">
            <br/>
            <form ng-submit="report_submit()">
                <div class="form-group">
                    <label>Procedure:</label>
                    <input class="form-control" ng-model="report.procedure"/>
                </div>
                <accordion>
                    <accordion-group is-open="first.open">
                        <accordion-heading>
                            <label>Clinical information</label>
                        </accordion-heading>
                        <div class="form-group">
                            <label>Clinical information:</label>
                            <text-angular ng-model="report.clinical_information" ta-toolbar="[['bold','italics', 'underline', 'redo', 'undo']]"></text-angular>
                        </div>
                    </accordion-group>
                    <accordion-group>
                        <accordion-heading>
                            <label>Comparison</label>
                        </accordion-heading>
                        <div class="form-group">
                            <label>Comparison:</label>
                            <text-angular ng-model="report.comparison" ta-toolbar="[['bold','italics', 'underline', 'redo', 'undo']]"></text-angular>
                        </div>
                    </accordion-group>
                    <accordion-group>
                        <accordion-heading>
                            <label>Findings</label>
                        </accordion-heading>
                        <div class="form-group">
                            <label>Findings:</label>
                            <text-angular ng-model="report.findings" ta-toolbar="[['bold','italics', 'underline', 'redo', 'undo']]"></text-angular>
                        </div>
                    </accordion-group>
                    <accordion-group>
                        <accordion-heading>
                            <label>Impression</label>
                        </accordion-heading>
                        <div class="form-group">
                            <label>Impression:</label>
                            <text-angular ng-model="report.impression" ta-toolbar="[['bold','italics', 'underline', 'redo', 'undo']]"></text-angular>
                        </div>
                    </accordion-group>
                </accordion>

                <!--- Start of Doctor's Signature Section --->
                <div class="form-group" ng-show="order.provider">
                    <label for="">Doctor's signature</label>
                    <hr/>
                    <div class="block">
                        <div class="row" ng-show="order.doctor_signatures">
                            <div class="col-sm-6 col-md-3 col-lg-3" ng-repeat="item in order.doctor_signatures">
                                <div class="thumbnail">
                                    <button type="button" style="position: absolute" class="btn btn-danger btn-xs"
                                            ng-click="removeDoctorSignatureByID(item.id, index)">
                                        <span class="glyphicon glyphicon-trash"></span> Remove
                                    </button>
                                    <img ng-src="{{ item.signature | AppStorage }}">
                                </div>
                            </div>
                        </div>
                        <table class="table" ng-show="doctor_signature_uploader.queue.length">
                            <thead>
                            <tr>
                                <th width="50%">Name</th>
                                <th ng-show="uploader.isHTML5">Size</th>
                                <th ng-show="uploader.isHTML5">Progress</th>
                                <th>Status</th>
                                <th>Actions</th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr ng-repeat="item in doctor_signature_uploader.queue">
                                <td>
                                    <strong ng-hide="item.data.id">{{ item.file.name }}</strong>
                                    <img class="img-thumbnail" ng-show="item.data.id"
                                         ng-src="{{ item.data.signature | AppStorage }}">
                                </td>
                                <td ng-show="uploader.isHTML5" nowrap>{{ item.file.size/1024/1024|number:2 }} MB</td>
                                <td ng-show="uploader.isHTML5">
                                    <div class="progress" style="margin-bottom: 0;">
                                        <div class="progress-bar" role="progressbar"
                                             ng-style="{ 'width': item.progress + '%' }"></div>
                                    </div>
                                </td>
                                <td class="text-center">
                                    <span ng-show="item.isSuccess"><i class="glyphicon glyphicon-ok"></i></span>
                                    <span ng-show="item.isCancel"><i class="glyphicon glyphicon-ban-circle"></i></span>
                                    <span ng-show="item.isError"><i class="glyphicon glyphicon-remove"></i></span>
                                </td>
                                <td nowrap>
                                    <button type="button" class="btn btn-success btn-xs" ng-click="item.upload()"
                                            ng-disabled="item.isReady || item.isUploading || item.isSuccess">
                                        <span class="glyphicon glyphicon-upload"></span> Upload
                                    </button>
                                    <button type="button" class="btn btn-warning btn-xs" ng-click="item.cancel()"
                                            ng-disabled="!item.isUploading">
                                        <span class="glyphicon glyphicon-ban-circle"></span> Cancel
                                    </button>
                                    <button type="button" class="btn btn-danger btn-xs"
                                            ng-click="removeDoctorSignature(item)">
                                        <span class="glyphicon glyphicon-trash"></span> Remove
                                    </button>
                                </td>
                            </tr>
                            </tbody>
                        </table>
                        <div class="form-group">
                            <span class="btn btn-success btn-file">
                                <i class="fa fa-upload fa-plus-padd"></i>Upload
                                <input type="file" nv-file-select="" options="{{ doctor_signature_upload_options }}"
                                       uploader="doctor_signature_uploader" multiple>
                            </span>
                            <div/>
                        </div>
                    </div>
                </div>
                <!--- End of Doctor's Signature Section --->

                <div class="form-group write-report-button">
                    <!--<a ui-sref="dashboard.order({'guid':order.guid})" class="btn btn-lg btn-info">-->
                    <a ui-sref="dashboard.order({'guid': order.guid})" class="an-btn an-btn-primary">
                        <i class="fa fa-arrow-left mrgn_right--5" aria-hidden="true"></i>
                        <span> Back</span>
                    </a>
                    <button class="an-btn an-btn-primary btn-success" type="submit">Submit</button>
                </div>
            </form>
        </div>
    </div>
</div>
